#
# spec file for package sed (Version 4.1.5)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sed
Url:            http://www.gnu.org/directory/sed.html
Version:        4.1.5
Release:        137
License:        GPLv2+
Group:          System/Base
Summary:        A Stream-Oriented Non-Interactive Text Editor
Provides:       base:/bin/sed
PreReq:         %install_info_prereq
AutoReqProv:    on
Source:         %name-%version.tar.bz2
Patch0:         sed-follow_symlinks.patch
Patch1:         sed-4.1.5-fix_warnings.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sed takes text input, performs one or more operations on it, and
outputs the modified text. Sed is typically used for extracting parts
of a file using pattern matching or  for substituting multiple
occurrences of a string within a file.



Authors:
--------
    Francois Pinard      <pinard@iro.umontreal.ca>
    Tom Lord             <lord@cygnus.com>
    David J. MacKenzie   <djm@gnu.org>
    Akiko Matsushita <matusita@sra.co.jp>
    Alan Magnuson <awm@osc.edu>
    Alexander Lehmann <alex@hal.rhein-main.de>
    Amos Shapira <amoss@cs.huji.ac.il>
    Andreas Gustafsson <gson@niksula.hut.fi>
    Andreas Schwab <schwab@suse.de>
    Assar Westerlund <assar@nada.kth.se>
    Ben A. Mesander	 <ben@piglet.cr.usgs.gov>
    Bengt Mertensson <bengt@mathematik.uni-bremen.de>
    Bernhard Daeubler <Bernhard.Daeubler@physik.uni-ulm.de>
    Bjorn R. Bjornsson <brb@falcon.is>
    Brendan Kehoe	 <brendan@cygnus.com>
    Erez Zadok	 <ezk@cs.columbia.edu>
    Eric Allman	 <sendmail@sendmail.ORG>
    Eric Backus	 <ericb@lsid.hp.com>
    Geoff Russell	 <grussell@guest.adelaide.edu.au>
    Greg A. Woods	 <woods@web.apc.org>
    Hal Peterson	 <hrp@pecan.cray.com>
    Hoang Uong	 <hoang@ornews.intel.com>
    Ian Lance Taylor	 <ian@cygnus.com>
    Jason Merrill <jason@cygnus.com>
    Jim Avera	 <jima@netcom.com>
    Jim Kingdon	 <kingdon@cygnus.com>
    Jim Meyering	 <meyering@na-net.ornl.gov>
    Joel Sherrill	 <jsherril@uahcs2.cs.uah.edu>
    John David Anglin <dave@hiauly1.hia.nrc.ca>
    Joseph E. Sacco	 <jsacco@ssl.com>
    Karl Berry	 <karl@cs.umb.edu>
    Karl Vogel	 <vogelke@c-17igp.wpafb.af.mil>
    Kaveh R. Ghazi	 <ghazi@noc.rutgers.edu>
    Kristine Lund	 <lund@lpnaxp.in2p3.fr>
    Krste Asanovic	 <krste@icsi.berkeley.edu>
    Marion Hakanson	 <hakanson@cse.ogi.edu>
    Mark Seiden	 <mis@seiden.com>
    Matthias Rabe	 <rabe@mathematik.uni-bielefeld.de>
    Michael Fetterman <mafetter@ichips.intel.com>
    Michael L. Welcome <welcome@bigbird.llnl.gov>
    Mike Lijewski	 <lijewski@theory.tc.cornell.edu>
    Nick S. Kanakakor <skanan@otl.scu.edu>
    Nicolas Pioch	 <pioch@inf.enst.fr>
    Noah Friedman	 <friedman@gnu.org>
    Pete Chown	 <pete.chown@dale.dircon.co.uk>
    Pierre Gaumond	 <gaumondp@ere.umontreal.ca>
    Pierre Mathieu	 <mathieu@geod.emr.ca>
    Robert Bernstein <rocky@panix.com>
    Rene' Seindal	 <seindal@kb.dk>
    Richard Stallman <rms@gnu.org>
    Roland H. Pesch	 <roland@wrs.com>
    Roland McGrath	 <roland@gnu.org>
    Scott Bartram
    Simon Leinen	 <simon@lia.di.epfl.ch>
    Skip Montanaro	 <skip@automatrix.com>
    Stephen Perkins	 <perkins@cps.msu.edu>
    Steve Williamson <willy@uinpla.npl.uiuc.edu>
    Thorsten Ohl	 <ohl@physics.harvard.edu>
    Tom McConnell	 <tmcconne@sedona.intel.com>
    Tom Quinn	 <trq@dionysos.thphys.ox.ac.uk>
    Tom Tromey	 <tromey@cns.caltech.edu>
    Ulrich Drepper	 <drepper@gnu.org>
    Vern Paxson	 <vern@ee.lbl.gov>
    Vivek P. Singhal <singhal@cs.utexas.edu>
    Walter Wong	 <wcw+@cmu.edu>
    Paolo Bonzini (bonzini@gnu.org)
    Philip Hazel (ph10@cam.ac.uk)

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%define warn_flags -Wall -Wstrict-prototypes -Wpointer-arith -Wformat-security
%{?suse_update_config:%{suse_update_config}}
cp /usr/share/gettext/config.rpath config
autoreconf --force --install
test -f po/Makevars.template && mv po/Makevars.template po/Makevars
export CFLAGS="$RPM_OPT_FLAGS %warn_flags"
./configure	--prefix=/usr \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--without-included-regex \
		--enable-html \
		%{_target_cpu}-suse-linux
%if %do_profiling
  make %{?_smp_mflags} CFLAGS="$CFLAGS "%cflags_profile_generate
  make %{?_smp_mflags} check
  make clean
  make %{?_smp_mflags} CFLAGS="$CFLAGS "%cflags_profile_feedback
%else
  make %{?_smp_mflags}
%endif
make %{?_smp_mflags} check

%install
%makeinstall
# Move sed to /bin:
mkdir -p $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT/usr/bin/sed $RPM_BUILD_ROOT/bin
ln -s ../../bin/sed $RPM_BUILD_ROOT/usr/bin/sed
# Remove installed documentation (it is packaged directly in the files section).
# The actual directory depends on the build environment on the different architectures:
rm -f $RPM_BUILD_ROOT/usr/share/doc/sed.html $RPM_BUILD_ROOT/usr/share/doc/sed-4.1.5/sed.html
%find_lang %name

%files -f %name.lang
%defattr(-, root, root)
/bin/sed
/usr/bin/sed
%doc AUTHORS BUGS COPYING* INSTALL NEWS README* THANKS doc/sed.html
%_infodir/sed.info*.gz
%_mandir/man*/*.gz

%post
%install_info --info-dir=%_infodir %_infodir/%name.info.gz

%postun
%install_info_delete --info-dir=%_infodir %_infodir/%name.info.gz

%changelog
